-------------------------------------------------------------------------------
function createBigFishScreen()
	local screen = CreatedScreen('Data/Scripts/Screens/BigFishScreen.lua', 'BigFishScreen')
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createERSGameStudiosScreen()
	local screen = CreatedScreen('Data/Scripts/Screens/ERSGameStudiosScreen.lua', 'ERSGameStudiosScreen')
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createLoadingScreen()
	local screen = CreatedScreen('Data/Scripts/Screens/LoadingScreen.lua', 'LoadingScreen')
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createMainMenu()
	local screen = CreatedScreen('Data/Scripts/Screens/MainMenu.lua', 'MainMenu')
	
	PopUpScreensMgr:push(screen, false, nil, 0)
end
-------------------------------------------------------------------------------
function createYesNoScreen(message, yesCallback, noCallback, hideActiveScreen, timeShow, windowHeader)
	hideActiveScreen = (hideActiveScreen == nil and true or hideActiveScreen)

	local screen = CreatedScreen('Data/Scripts/Screens/YesNoScreen.lua', 'YesNoScreen')
	screen:setData(message, yesCallback, noCallback, windowHeader)
	
	PopUpScreensMgr:push(screen, hideActiveScreen, nil, timeShow)
	return screen
end
-------------------------------------------------------------------------------
function createOkScreen(message, okCallback, hideActiveScreen)
	hideActiveScreen = (hideActiveScreen == nil and true or hideActiveScreen)

	local screen = CreatedScreen('Data/Scripts/Screens/OkScreen.lua', 'OkScreen')
	screen:setData(message, okCallback)
	
	PopUpScreensMgr:push(screen, hideActiveScreen, nil)
end
-------------------------------------------------------------------------------
function createOptionsScreen(hideActiveScreen)
	hideActiveScreen = hideActiveScreen or false
	local screen = CreatedScreen('Data/Scripts/Screens/OptionsScreen.lua', 'OptionsScreen')
	
	PopUpScreensMgr:push(screen, hideActiveScreen, nil)
end
-------------------------------------------------------------------------------
function createProfilesScreen()
	local screen = CreatedScreen('Data/Scripts/Screens/ProfilesScreen.lua', 'ProfilesScreen')
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createInputNameScreen(hideActiveScreen, callback)
	hideActiveScreen = hideActiveScreen or false
	local screen = CreatedScreen('Data/Scripts/Screens/InputNameScreen.lua', 'InputNameScreen')
	
	PopUpScreensMgr:push(screen, hideActiveScreen, callback)
	return screen
end
-------------------------------------------------------------------------------
function createInGameMenu()
	local screen = CreatedScreen('Data/Scripts/Screens/InGameMenu.lua', 'InGameMenu')
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createHelpScreen(hideActiveScreen)
	hideActiveScreen = hideActiveScreen or false
	local screen = CreatedScreen('Data/Scripts/Screens/HelpScreen.lua', 'HelpScreen')
	
	PopUpScreensMgr:push(screen, hideActiveScreen, nil)
end
-------------------------------------------------------------------------------
function createPlayingModeScreen(callback, tag)
	local screen = CreatedScreen('Data/Scripts/Screens/PlayingModeScreen.lua', 'PlayingModeScreen', tag)
	screen:setData(callback)
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------

function createClockScreen()
	local levelName = nil
	if current_scene then
		levelName = current_scene:getPlayField():getName()
	end
	local screen = CreatedScreen('Data/Scripts/Screens/ClockScreen.lua', 'ClockScreen', levelName)
	PopUpScreensMgr:destroyAll()
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createPhoneScreen(callback)
	local screen = CreatedScreen('Data/Scripts/Screens/PhoneScreen.lua', 'PhoneScreen')
	
	screen:setCloseCallback(callback)
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createMoreInfoScreen()
	local screen = CreatedScreen('Data/Scripts/Screens/MoreInfoScreen.lua', 'MoreInfoScreen')
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createMoreGamesScreen()
    local screen = CreatedScreen('Data/Scripts/Screens/MoreGamesScreen.lua', 'MoreGamesScreen')
    
    PopUpScreensMgr:push(screen, false, nil)
    return screen
end
-------------------------------------------------------------------------------
function createIntroScreen()
	local screen = CreatedScreen('Data/Scripts/Screens/IntroScreen.lua', 'IntroScreen')
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createCreditsScreen()
	local screen = CreatedScreen('Data/Scripts/Screens/CreditsScreen.lua', 'CreditsScreen')
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------
function createInteractiveHelpScreen(pos_window, messageTextAlias, instructionsTextAlias)
	local screen = CreatedScreen('Data/Scripts/Screens/InteractiveHelpScreen.lua', 'InteractiveHelpScreen')
	screen:setData(pos_window, messageTextAlias, instructionsTextAlias)
	
	PopUpScreensMgr:push(screen, false, nil)
	
	assert(current_scene)
	current_scene:go()
	
	return screen
end
-------------------------------------------------------------------------------
function createPromoScreen()
	local screen = CreatedScreen('Data/Scripts/Screens/PromoScreen.lua', 'PromoScreen')
	
	PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
function createPauseScreen()
    local screen = CreatedScreen('Data/Scripts/Screens/PauseScreen.lua', 'PauseScreen')
    
    PopUpScreensMgr:push(screen, false, nil)
end
-------------------------------------------------------------------------------